<!-- Version taken from https://raw.githubusercontent.com/fastlane/fastlane/master/CONTRIBUTING.md and adapted to our needs-->
# Contributing to radar-covid-ios

## I want to report a problem or ask a question

Before submitting a new GitHub issue, please make sure to

- Check out the README pages on [this repo](https://github.com/RadarCOVID/radar-covid-ios)
- Search for [existing GitHub issues](https://github.com/RadarCOVID/radar-covid-ios/issues)

If the above doesn't help, please [submit an issue](https://github.com/RadarCOVID/radar-covid-ios/issues) on GitHub and provide information about your setup. If you feel like something is not working as it should, please provide the debug output and all contextual information you can collect.

**Note**: If you want to report a regression (something that has worked before, but broke with a new release), please mark your issue title as such using `[Regression] Your title here`. This enables us to quickly detect and fix regressions.

## I want to contribute to RadarCOVID

Before you submit a new pull-request, please check the following few things:

- [ ] My pull-request is not just about code-style (if so please open an issue, where we can discuss about it).
- [ ] My pull-request does not introduce a plethora of new dependencies
- [ ] My pull-request introduces new features and/or fixes issues (please reference an issue if there exist one).
- [ ] If my pull-request changes tooling, I added some major arguments, on why this tooling is better.

## Why did my issue/PR get closed?

We are currently focused on national rollout. Hence, we try to keep the changes to a minimum and expect to take care of PRs in medium term. Please, be patience.

Proposed changes exclusively related to the tools we use should be thoroughly justified. We use a set of tools and configurations that we are used to. Therefore, unless strong arguments for changes are provided, we probably won't change it.

## Above All, Thanks for Your Contributions

Thank you for reading to the end, and for taking the time to contribute to the project! If you include the 🔑 emoji at the top of the body of your issue or pull request, we'll know that you've given this your full attention and are doing your best to help!

## License

This project is licensed under the terms of the MPL 2 license. See the [LICENSE](LICENSE) file.
